Qt-only wrapper for Systemd DBus API
Switch branches/tags
Nothing to show
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
src
tests
.gitignore
.gitlab-ci.yml
.mailmap
CMakeLists.txt
CONTRIBUTORS
COPYING
QtSystemd.pc.cmake
QtSystemdConfig.cmake.in
QtSystemdConfigVersion.cmake.in
README.md

README.md

libsystemd-qt

Qt-only wrapper for Systemd D-Bus API.

Also supports logind D-Bus interface.

Build and Installation##

It requires cmake >= 2.8.8 and Qt 5.x

$ mkdir build
$ cd build
$ cmake ../ -DCMAKE_INSTALL_PREFIX=/usr
$ make
# make install

Packages

Donate

Donations via Liberapay or Bitcoin (1Ph3hFEoQaD4PK6MhL3kBNNh9FZFBfisEH) are always welcomed, thank you!

License

LGPL